<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsBuildingBuildingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_building_buildings
         */
        Schema::create('litecms_building_buildings', function ($table) {
            $table->increments('id');
            $table->integer('country_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->enum('ownership', ['Yes', 'No'])->nullable();
            $table->string('plot_no', 30)->nullable();
            $table->string('land_no', 30)->nullable();
            $table->string('category', 50)->nullable();
            $table->decimal('maintenance_fee', 12,2)->nullable();
            $table->integer('floors')->nullable();
            $table->integer('plot_area')->nullable();
            $table->integer('bua')->nullable();
            $table->integer('contact_id')->nullable();
            $table->text('description')->nullable();
            $table->text('bank')->nullable();
            $table->text('notes')->nullable();
            $table->text('documents')->nullable();
            $table->text('features')->nullable();
            $table->text('amenities')->nullable();
            $table->text('features_intl')->nullable();
            $table->text('specifications')->nullable();
            $table->text('images')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_building_buildings');
    }
}
