<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for building in building package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  building module in building package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Building',
    'names' => 'Buildings',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Buildings',
        'sub' => 'Buildings'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'ownership' => 
            [
                                
                [
                    'key'    => 'All',
                    'value'  => 'All',
                    'text'   => 'All',
                ],
                                
                [
                    'key'    => 'Free Hold',
                    'value'  => 'Free Hold',
                    'text'   => 'Free Hold',
                ],
                                
                [
                    'key'    => 'Lease Hold',
                    'value'  => 'Lease Hold',
                    'text'   => 'Lease Hold',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'country_id'                 => 'Please enter country id',
        'city_id'                    => 'Please enter city id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'ownership'                  => 'Please select ownership',
        'plot_no'                    => 'Please enter plot no',
        'land_no'                    => 'Please enter land no',
        'category'                   => 'Please enter category',
        'maintenance_fee'            => 'Please enter maintenance fee',
        'floors'                     => 'Please enter floors',
        'plot_area'                  => 'Please enter plot area',
        'bua'                        => 'Please enter bua',
        'contact_id'                 => 'Please enter contact id',
        'description'                => 'Please enter description',
        'bank'                       => 'Please enter bank',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'features'                   => 'Please enter features',
        'amenities'                  => 'Please enter amenities',
        'features_intl'              => 'Please enter features intl',
        'specifications'             => 'Please enter specifications',
        'images'                     => 'Please enter images',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'country_id'                 => 'Country id',
        'city_id'                    => 'City id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'ownership'                  => 'Ownership',
        'plot_no'                    => 'Plot no',
        'land_no'                    => 'Land no',
        'category'                   => 'Category',
        'maintenance_fee'            => 'Maintenance fee',
        'floors'                     => 'Floors',
        'plot_area'                  => 'Plot area',
        'bua'                        => 'Bua',
        'contact_id'                 => 'Contact id',
        'description'                => 'Description',
        'bank'                       => 'Bank',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'features'                   => 'Features',
        'amenities'                  => 'Amenities',
        'features_intl'              => 'Features intl',
        'specifications'             => 'Specifications',
        'images'                     => 'Images',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
