<?php

namespace Litecms\Building\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Building\Models\Building;


class BuildingAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.building.building';
    protected $eventClass = \Litecms\Building\Events\BuildingAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Building $building, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $building;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Building $building, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $building = $building->create($attributes);
        return $building;
    }

    public function update(Building $building, array $request)
    {
        $attributes = $request;
        $building->update($attributes);
        return $building;
    }

    public function destroy(Building $building, array $request)
    {
        $building->delete();
        return $building;
    }

    public function copy(Building $building, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $building = $building->replicate();
            $building->created_at = Carbon::now();
            $building->save();
            return $building;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $building->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $building;
    }


}
