<?php

namespace Litecms\Building\Policies;

use Litecms\Building\Models\Building;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait BuildingAction
{

    /**
     * Determine if the given user can copy the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Building $building)
    {

        if ($authUser->canDo('building.building.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Building $building) {

        if ($authUser->canDo('building.building.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Building $building)
    {

        if ($authUser->canDo('building.building.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
