<?php

namespace Litecms\Building\Policies;

use Litecms\Building\Models\Building;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait BuildingWorkflow
{

    /**
     * Determine if the given user can approve the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Building $building)
    {
        if ($user->canDo('building.building.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Building $building)
    {
        if ($user->canDo('building.building.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Building $building)
    {
        if ($user->canDo('building.building.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Building $building)
    {
        if ($user->canDo('building.building.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Building $building)
    {
        if ($user->canDo('building.building.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Building $building)
    {
        if ($user->canDo('building.building.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Building $building)
    {
        if ($user->canDo('building.building.reject')) {
            return true;
        }

        return false;
    }

}
