<?php

namespace Litecms\Building\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Litecms\Building\Events\BuildingAction;
use Litecms\Building\Events\BuildingWorkflow;
use Litecms\Building\Listeners\BuildingAction as BuildingActionListener;
use Litecms\Building\Listeners\BuildingWorkflow as BuildingWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        BuildingAction::class => [
            BuildingActionListener::class,
        ],
        BuildingWorkflow::class => [
            BuildingWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
